/***Epée dorée, utilisée pour l'épée enchantée lors du combat contre le boss de feu***/

if(hitEntity!=null)
{
	if(hitEntity.getClassType()=="Script") // Regarde si l'entité attaquée est le boss
	{
		allowCrystal = 0;
		pinv = player.getInventory();
		hitPos = hitEntity.getPosition();
		sound.playSound3D("sound.torchSlugHit", hitPos.x, hitPos.y, hitPos.z);
		hitEntity.setHealth(hitEntity.getHealth() - 4); // Enlève un coeur au boss
		
		swordSlot = pinv.getSlotContainingItem(283);
		pinv.emptySlot(swordSlot);
		pinv.setSlot(swordSlot,Item(272)); // Désenchante l'épée
	}
}